This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 200240 - Request GID for group 'utempter' for new libutempter package
Request GID for group 'utempter' for new libutempter package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 10:01 EDT by Mike A. Harris
Modified: 2015-03-04 20:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 08:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2006-07-26 10:01:33 EDT
The new 'libutempter' package which will soon be replacing the Red Hat
'utempter' implementation, requires 2 groups.  The first one, is the
'utmp' group which is GID 22 currently.  I notice the uidgid file indicates
initscripts and utempter use this.  It should be updated to indicate
"libutempter" instead of utempter for the new package.

The second group is the "utempter" group, which currently does not have
a GID allocated.  Please allocate a GID for group 'utempter' owned by
the 'libutempter' package.  This group is used by the 'utempter' helper
utility in %{_libexecdir}/utempter/utempter to restrict access to the
helper by group for additional security.

Once the GID is allocated, I can build the new package for FC6 and rebuild
xterm and libgnome.

Thanks in advance.
Comment 1 Mike A. Harris 2006-07-27 02:07:06 EDT
We'd like to get this built for FC6test2, so need the GID as soon as possible
please.  ;o)  No pressure though...  ;o)
Comment 2 Phil Knirsch 2006-07-27 08:07:47 EDT
Done, package is building atm.

Read ya, Phil
Comment 3 Mike A. Harris 2006-07-27 14:30:07 EDT
Ok but um...   what is the GID?  ;o)
Comment 4 Phil Knirsch 2006-07-28 04:33:14 EDT
Ehehehe, true, kinda required info:

utempter        -       35      -                       -               libutemp

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.